mods = ['dcop', 'tdecore', 'tdefx', 'tdeprint', 'tdesu', 'tdeui', 'tdefile', 'tdehtml', 'tdeio', 'tdemdi', 'tdeparts', 'tdespell', ]
all = []


print('Module,Item,Path,Contributor')
for mod in mods:
    module = __import__(mod)
    items = dir(module)
    items.sort()
    items = [item for item in items if not item.startswith('_')]
    items = [item for item in items if not item in all]

    for item in items:
        all.append(item)
        print('%s,%s,,,' % (mod, item, ))




